%define upstream_name    KiokuDB
%define upstream_version 0.57

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Common functionality for JSPON
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz
#  libkiokudb-perl: FTBFS with recent YAML* packages #17 
Patch0:     issue-17.patch

BuildRequires: perl(B)
BuildRequires: perl(B::Deparse)
BuildRequires: perl(Cache::Ref) >= 0.20.0
BuildRequires: perl(Cache::Ref::CART)
BuildRequires: perl(Cache::Ref::CLOCK)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Load)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Stream::Bulk) >= 0.80.0
BuildRequires: perl(Data::Stream::Bulk::Callback)
BuildRequires: perl(Data::Stream::Bulk::Util)
BuildRequires: perl(Data::Swap)
BuildRequires: perl(Data::UUID) >= 1.203.0
BuildRequires: perl(Data::Visitor) >= 0.240.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(JSON) >= 2.120.0
BuildRequires: perl(JSON::XS) >= 2.231.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Clone) >= 0.40.0
BuildRequires: perl(MooseX::Clone::Meta::Attribute::Trait::NoClone)
BuildRequires: perl(MooseX::Role::Parameterized) >= 0.100.0
BuildRequires: perl(MooseX::YAML) >= 0.40.0
BuildRequires: perl(POSIX)
BuildRequires: perl(PadWalker) >= 1.900.0
BuildRequires: perl(Path::Class)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Search::GIN::Driver)
BuildRequires: perl(Search::GIN::Driver::Hash)
BuildRequires: perl(Search::GIN::Extract)
BuildRequires: perl(Search::GIN::Extract::Class)
BuildRequires: perl(Search::GIN::Extract::Delegate)
BuildRequires: perl(Search::GIN::Query::Class) >= 0.30.0
BuildRequires: perl(Set::Object) >= 1.260.0
BuildRequires: perl(Storable)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Throwable)
BuildRequires: perl(Tie::RefHash)
BuildRequires: perl(Tie::ToObject)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::XS) >= 0.300.0
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(if)
BuildRequires: perl(namespace::clean) >= 0.80.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the KiokuDB manpage is a Moose based frontend to various data stores,
somewhere in between the Tangram manpage and the Pixie manpage.

Its purpose is to provide persistence for "regular" objects with as little
effort as possible, without sacrificing control over how persistence is
actually done, especially for harder to serialize objects.

the KiokuDB manpage is also non-invasive: it does not use ties, 'AUTOLOAD',
proxy objects, 'sv_magic' or any other type of trickery.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.570.0-9.mga9
+ Revision: 1821365
- Mageia 9 Mass Rebuild

* Wed Jul 01 2020 tv <tv> 0.570.0-8.mga8
+ Revision: 1600847
- fix FTBFS with recent YAML* packages
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.570.0-6.mga7
+ Revision: 1268856
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.570.0-5.mga6
+ Revision: 1028914
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.570.0-4.mga6
+ Revision: 933054
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.570.0-3.mga5
+ Revision: 740239
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.570.0-2.mga5
+ Revision: 685156
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.570.0-1.mga5
+ Revision: 614956
- update to 0.57

* Tue Feb 25 2014 jquelin <jquelin> 0.560.0-1.mga5
+ Revision: 597049
- update to 0.56

* Sat Oct 19 2013 umeabot <umeabot> 0.540.0-2.mga4
+ Revision: 528731
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.540.0-1.mga4
+ Revision: 447060
- update to 0.54

* Sun Jan 13 2013 umeabot <umeabot> 0.520.0-2.mga3
+ Revision: 368832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 0.520.0-1.mga2
+ Revision: 116449
- update to 0.52

* Thu Apr 07 2011 jquelin <jquelin> 0.510.0-1.mga1
+ Revision: 81789
- update to 0.51

* Wed Jan 26 2011 jquelin <jquelin> 0.500.0-1.mga1
+ Revision: 41108
- mageia rebuild
- imported package perl-KiokuDB

